=== debian/changelog ===
multipath-tools (0.8.8-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1946834, #1961136). Remaining changes:
    - d/p/enable-find-multipaths.patch: re-enable find_multipaths by
      default -- see the removed 'add_find-multipaths.patch' (LP 1463046)
    - d/p/kpartx-Improve-finding-loopback-device-by-file.patch: Improve
      finding loopback devices (LP 1747044)
    - d/multipath.conf: Install friendly names multipath.conf by default,
      instead of generating it in every installer.
    - debian/multipath-tools.dm-mpath-lvm.udev: Adjust initramfs integration
      for new udev rules
    - Remove d/initramfs/local-top (redundant with other initramfs scripts):
      + init-top: take over loading modules (dm-multipath and SCSI device
        handlers); move the missing dm-emc there (now scsi-dh-emc; see
        BTS 567014).
      + d/rules: do not install local-top anymore.
      + remove d/initramfs/local-top
    - debian/initramfs/hooks: Add dm-queue-length: users may want to
      change from the default selector and should be able to do so.
      (LP 1673350)
    - multipath initramfs fixes for booting from multipathed devices:
      + d/initramfs/hooks: also copy wwids file on the installed
        system to ensure all paths come up on boot. (LP 1479929)
      + d/initramfs/hooks: install multipathd and required
        directories.
      + d/initramfs/hooks: copy multipath udev rules to initramfs
      + d/initramfs/hooks: do not copy kpartx rules to initramfs
      + d/initramfs/local-bottom: remember to stop multipathd.
      + d/initramfs/local-premount: wait for udev to settle before
        the call to resolve_device() in local_mount_root(), so the
        by-uuid/ symlinks have a chance to be updated by the
        multipath udev rules (LP 1503286).
      + d/initramfs/local-premount: Run multipath with -B so not to
        assign names nor change /etc/multipath/bindings during
        initramfs (LP 1561103)
      + d/rules: install d/initramfs/local-bottom
      + d/rules: install d/initramfs/local-premount
    - debian/initramfs/local-bottom: wait for the multipathd unix
      socket to close, so to avoid multipathd.socket unit failure.
      (LP 1682178)
    - Split kpartx initramfs bits into kpartx-boot for dmraid (LP 941874)
      + d/initramfs/kpartx.hook
      + d/kpartx-boot.postinst
      + d/kpartx-boot.postrm
      + d/control: Add kpartx-boot package for dmraid
      + d/rules: Install kpartx initramfs hook
    - d/rules: Move udev rules to priority 95, because rules that load
      modules should be >90.
    - Don't build the multipath-tools binary package on i386; we only want
      kpartx.
  * Dropped changes:
    - Use stable wwn-* names in autopkgtest that work with or without
      friendly names, as scsi-${DM_NAME} is not a stable symlink name.
      [ Included in 0.8.8-1 ]
    - debian/tests/tgtbasedmpaths: Add sleep to allow for device creation
      [ Included in 0.8.8-1 ]
    - d/p/kpartx_more_loopback_fixes.patch: fix loopback mounted files
      some more: since we stat() the loopback device node, we can't rely
      on S_ISREG() tests to handle this case, and should look at the
      device itself instead. (LP 1543430)
      [ Applied upstream in 0.8.6 ]
    - d/p/no-start-in-containers.patch: Do not attempt to start
      multipath-tools in containers, should switch for on-demand udev/socket
      based activation in the future. (LP 1823093)
      [ Applied upstream in 0.8.7 ]
    - d/t/control: use allow-stderr for kpartx-file-loopback, the new
      gdisks version displays warnings on stderr now.
      [ Fixed in 0.8.8-1 ]
  * Added changes:
    - d/t/kpartx-file-loopback: silence kpartx messages to stderr
    - d/rules: remove -Bsymbolic-functions from LDFLAGS

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 21 Feb 2022 18:18:27 -0300

multipath-tools (0.8.8-1) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * [74952ce] d/t/kpartx-file-loopback: silence gdisk warnings on stderr
  * [a3ad859] d/t/tgtbasedmpaths: Use stable wwn-* names in autopkgtest
  * [7a22711] d/t/tgtbasedmpaths: Add sleep to allow for device creation

  [ Ritesh Raj Sarraf ]
  * [9169942] Add some documentation about LVM + DM-Multipath setup.
    Thanks to Carlos Barros (Closes: 1001710)

  [ Chris Hofstaedtler ]
  * [7fcb8ba] New upstream version 0.8.8
  * [e63a379] Refresh patches
  * [4ab9ce2] Drop old dmsetup_env hack
    dmsetup long supports DM_NAME and DM_UUID, and the other variables
    are not used anymore.
  * [2cd669e] Avoid installing libmpathvalid.so until users appear

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 16 Jan 2022 22:57:28 +0000

multipath-tools (0.8.5-2ubuntu3) jammy; urgency=medium

  * No-change rebuild against liburcu8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 08 Nov 2021 01:14:39 +0000

multipath-tools (0.8.5-2ubuntu2) impish; urgency=medium

  * Don't build the multipath-tools binary package on i386; we
    only want kpartx.

 -- Utkarsh Gupta <utkarsh.gupta@canonical.com>  Wed, 07 Jul 2021 14:49:31 +0530

multipath-tools (0.8.5-2ubuntu1) impish; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Use stable wwn-* names in autopkgtest that work with or without
      friendly names, as scsi-${DM_NAME} is not a stable symlink name.
    - debian/tests/tgtbasedmpaths: Add sleep to allow for device creation
    - patches to multipath source:
      - d/p/kpartx_more_loopback_fixes.patch: fix loopback mounted files
        some more: since we stat() the loopback device node, we can't rely
        on S_ISREG() tests to handle this case, and should look at the
        device itself instead. (LP 1543430)
      - d/p/enable-find-multipaths.patch: re-enable find_multipaths by
        default -- see the removed 'add_find-multipaths.patch' (LP 1463046)
    - d/p/kpartx-Improve-finding-loopback-device-by-file.patch: Improve
      finding loopback devices (LP 1747044)

