=== debian/rules ===
--- 
+++ 
@@ -31,10 +31,11 @@
 	[ ! -f kpartx/del-part-nodes.rules ] || cp kpartx/del-part-nodes.rules debian/kpartx.del-part-nodes.udev
 	[ ! -f kpartx/dm-parts.rules ] || cp kpartx/dm-parts.rules debian/kpartx.dm-parts.udev
 	[ ! -f kpartx/kpartx.rules ] || cp kpartx/kpartx.rules debian/kpartx.udev
-	[ ! -f multipath/multipath.rules ] || cp multipath/multipath.rules debian/multipath.udev
 	[ ! -f multipath/11-dm-mpath.rules ] || cp multipath/11-dm-mpath.rules debian/dm-mpath.udev
 
 	dh_auto_build --parallel -- $(OPTFLAGS) LIB=/lib SYSTEMDPATH=/lib USE_SYSTEMD=1
+
+	[ ! -f multipath/multipath.rules ] || cp multipath/multipath.rules debian/multipath.udev
 
 	touch $@
 
@@ -99,8 +100,8 @@
 	rm -f debian/tmp/lib/libmpathvalid.so* debian/tmp/usr/include/mpath_valid.h
 	mkdir -p $(CURDIR)/debian/tmp/etc
 	cp debian/multipath.conf $(CURDIR)/debian/tmp/etc
-	dh_install -X.rules --fail-missing -Nmultipath-udeb --sourcedir=$(CURDIR)/debian/tmp
-	dh_install -Xkpartx_id -X.rules -X.service -X.socket --fail-missing -pmultipath-udeb --sourcedir=$(CURDIR)/debian/tmp-multipath-udeb
+	dh_install -X.rules --list-missing -Nmultipath-udeb --sourcedir=$(CURDIR)/debian/tmp
+	dh_install -Xkpartx_id -X.rules -X.service -X.socket --list-missing -pmultipath-udeb --sourcedir=$(CURDIR)/debian/tmp-multipath-udeb
 
 binary-indep: build-indep install-indep
 	dh_testdir -i
